<?php

namespace App\Models\CourseUser;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CourseUser extends Model 
{

    protected $table = 'course_users';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('course_id', 'student_id', 'enroll_date');

    public function courses()
    {
        return $this->belongsToMany('Course', 'course_id');
    }

    public function students()
    {
        return $this->belongsToMany('Student', 'student_id');
    }

}